This is Xamarin's bug tracking system. For product support, please use the support links listed in your Xamarin Account.
Bug 45861 - [Xcode 8.1 GM] "May Slow Down Your iPhone ... The developer of this app needs to update it to improve its compatibility." because of default "i386" supported architecture setting in the iPhoneSimulator configuration on new projects
Summary: [Xcode 8.1 GM] "May Slow Down Your iPhone ... The developer of this app needs...
Status: VERIFIED FIXED
Alias: None
Product: Xamarin Studio
Classification: Desktop
Component: iOS add-in (show other bugs)
Version: 6.1.2 (C8SR1)
Hardware: PC Mac OS
: --- normal
Target Milestone: (C8SR1)
Assignee: Jeffrey Stedfast
URL:
Depends on: 45237
Blocks:
  Show dependency tree
 
Reported: 2016-10-25 01:47 UTC by Brendan Zagaeski (Xamarin Support)
Modified: 2016-10-28 10:53 UTC (History)
3 users (show)

See Also:
Tags:
Is this bug a regression?: ---
Last known good build:


Attachments

Description Brendan Zagaeski (Xamarin Support) 2016-10-25 01:47:26 UTC
[Xcode 8.1 GM] "May Slow Down Your iPhone ... The developer of this app needs to update it to improve its compatibility." because of default "i386" supported architecture setting in the iPhoneSimulator configuration on new projects




## Example manual fix for iPhoneSimulator (for users seeing this issue)

Change "Project options > iOS Build > Supported architectures" to "x86_64" (instead of the default "i386") for the iPhoneSimulator configuration.

(In my tests, selecting "i386 + x86_64" was also acceptable.)




## Regression status: Upstream intentional change in Xcode 8.1 GM compared to Xcode 8.0

YES warning: Xcode 8.1 (11542), Build 8T61a 
NO  warning: Xcode 8.0 (11246), Build 8A218a




## Steps to replicate

1. Apply the "indelicate" workaround from Bug 45855, Comment 8 to avoid that bug.

2. Create a new "iOS > App > Single View App (C#)" in Xamarin Studio.  For the purposes of this bug, please select "iOS 9.3" as the Target (to avoid Bug 45859).

3. Select the Debug configuration, and select an iOS 10.1 simulator from the configuration menu.

4. If you have installed the same app on the simulator before, you'll probably need to do a "Simulator > Reset Content and Settings" to get the problematic alert as reported below.  (Note: You will also want to quit the simulator after resetting it to ensure that Xamarin will be able to deploy to it as expected.)

5. Select "Run > Start Debugging".




## Results

An alert is displayed on the simulator when the application launches:

> "UnifiedSingleViewIphone1"
> May Slow Down Your iPhone
> The developer of this app needs to
> update it to improve its compatibility.



## Additional version info (brief)

Xamarin Studio 6.1.2.38 (8937e51ff879e4062e660a70d13463510a2664c4)
Xamarin.iOS 10.0.2.3 (26328e0)
Mono 4.6.1 (mono-4.6.0-branch/2f4c98b) (64-bit)

Xcode 8.1 (11542), Build 8T61a
Mac OS X 10.11.6
Comment 2 Brendan Zagaeski (Xamarin Support) 2016-10-25 01:56:45 UTC
I have filed a corresponding tracking bug for XVS to ensure the template change is applied there too: Bug 45862.
Comment 4 Shruti 2016-10-26 11:52:34 UTC
I am still getting this issue with Cycle8-SR0 builds. When I have created an iOS Project, observing that still by default architecture is getting set as i386 and getting alert pop of "May Slow Down Your iPhone ... The developer of this app needs to update it to improve its compatibility." on deploying app on simulator.

Whether it is working find on VS, I am seeing default setting of Architecture as x86_64.

Screencast: http://www.screencast.com/t/yLj0QtKO
Environment Info:https://gist.github.com/shrutis360/53990a34570497fc2a52e97167db0fb7


Hence, I am reopening this issue.
Comment 5 Brendan Zagaeski (Xamarin Support) 2016-10-26 19:41:32 UTC
The pull requests from Comment 3 are not yet marked as merged, so I wouldn't expect a different behavior yet.
Comment 6 Brendan Zagaeski (Xamarin Support) 2016-10-26 19:47:16 UTC
On second thought, I'll leave the bug as "open" to track the completion of those merges against the current target milestone of this bug (C8SR1).  Thanks!
Comment 7 Shruti 2016-10-27 12:15:06 UTC
This issue is working fine on master XS 6.2 (build 1309. Default architecture is getting set as x86_64 and app is getting deployed without any alert pop up.

Build Information
Release ID: 602001309
Git revision: 3b3e057a1d1404e9c7c1a4fb99fee0c089639c2c
Build date: 2016-10-27 03:47:05-04
Xamarin addins: a432850dbcb364b79b85d12f3cf0d673ac0a9f48
Build lane: monodevelop-lion-master


Please fix the commit on C8/C8SR1 lane so that I could verify this issue.
Comment 8 Shruti 2016-10-28 10:53:21 UTC
This issue is working fine on Cycle8 6.1.2 (build 43). Default architecture is getting set as x86_64 and app is getting deployed without any alert pop up.


Build Information
Xamarin Studio Version 6.1.2 (build 43)
Release ID: 601020043
Git revision: c456910b8ff4c2ee2835bd5919a62a5f76a0e564
Build date: 2016-10-27 18:51:17-04
Xamarin addins: b0031913252c96f946dadea74305d7126b5fe979
Build lane: monodevelop-lion-cycle8
Comment 9 Shruti 2016-10-28 10:53:41 UTC
As per comment 8, changing status to verified

Note You need to log in before you can comment on or make changes to this bug.